Open Infrastructure - Task #7519

uncloud test run 2019-12-21
12/21/2019 12:22 PM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Ahmed Bilal % Done:
Category: Estimated time:

Target version:
PM Check date:

12/21/2019

0%
0.00 hour

Description

¢ Convince Nico that it works ;-)
¢ On Alpine and Arch

History

#1 - 12/21/2019 12:25 PM - Nico Schottelius

arch

e etcd3 error message might be improve / error out on import error
o fail only when it is required for operations!
e don't error out if ucloud.conf is missing
¢ don't give traceback if keys are missing
o What is the user expected to do?
e python setup.py install
o flask error -> wrong caps!
* permission error for vodfile
o PermissionError: [Errno 13] Permission denied: '/var/log/ucloud.log’

pip install etcd3

mkdir /etc/ucloud

touch /etc/ucloud/ucloud.conf
python setup.py install

#2 - 01/13/2020 03:14 AM - Ahmed Bilal

- Status changed from In Progress to Closed

The above mentioned things were fixed.
